Subject: bug#20887: 'make bootstrap' now verrrry slow due to recent isearch changes

From: Artur Malabarba <[email-masked]>
Date: Wed, 24 Jun 2015 21:05:35 +0100

> Why only the second?  All you care about is decomposition, that is,
> you need only loop over characters that have a non-nil value in the
> decomposition property.  You will see in characters.el how you can use
> map-char-table over a char-table loaded from uni-decomposition.el
> (similar to what we do there with uni-bidi et.).  Won't that be much
> faster?
>
> (I didn't actually try that, so perhaps I'm talking nonsense.)

You're perfectly correct. I wasn't aware there's a char table for the
decomposition property (or any of the char properties for that
matter). Thanks, I'll add it in.